{% extends "elections2021/base.html" %}
{% load static wagtailcore_tags wagtailimages_tags %}

{% block content_header %}
{% include "elections2021/_page_header.html" with title=page.title photo=page.photo %}
{% endblock %}

{% block content %}

<div class="container container--default py-8 lg:py-24">
  <section class="text-center relative">
    <div class="select left-0 top-0 w-full md:w-auto inline-flex mb-8 md:mb-0">
      <select id="region_select" class="select__control form-field__control bg-acidgreen text-black" data-chosen="">
        {% for slug, name in region_options %}
          <option value="{{ slug }}" {% if slug == active_region %}selected=""{% endif %}>{{ name }}</option>
        {% endfor %}
      </select>
    </div>

    <main class="md:mt-20">

      <div class="candidate-card-list grid-cols-1 sm:grid-cols-2 lg:grid-cols-3 xl:grid-cols-4">
        {% for candidate in candidates_top %}
          {% include "elections2021/_candidate_card.html" %}
        {% endfor %}
      </div>

      <div class="candidate-table container-padding--zero lg:container-padding--auto pt-8">
        {% for candidate in candidates_bottom %}
          {% include "elections2021/_candidate_list_item.html" %}
        {% endfor %}
      </div>

      <script>
        var baseUrl = "{% pageurl page %}";
        var regionSelect = document.getElementById('region_select');
        regionSelect.addEventListener('change', function(e) {
          location.href = baseUrl + "kraj/" + this.value + "/";
        });
      </script>

      {% comment %}
      <div class="pt-11 text-center">
        <button class="btn btn--icon showfulltable text-xl btn--hoveractive btn--to-black">
          <div class="btn__body-wrap">
            <div class="btn__body py-4 px-11 leading-5 bg-acidgreen text-black hover:text-white">Call to action</div>
            <div class="btn__icon ">
              <i class="ico--chevron-right"></i>
            </div>
          </div>
        </button>
      </div>

      <script>
        //collapse toggle
        //assumes only one present on page
        var anchorShowFull = document.getElementsByClassName('showfulltable');

        if (anchorShowFull !== null) {

          for (var i = 0; i < anchorShowFull.length; i++) {
            anchorShowFull[i].addEventListener('click', function(e) {
              e.preventDefault();
              var candidatestable = document.getElementsByClassName("candidate-table");
              //if fadeout
              //candidatestable[0].classList.remove("candidate-table--fadeout");
              var collapsepart = document.getElementsByClassName("candidates-list-collapsing-part");
              collapsepart[0].style.maxHeight = collapsepart[0].scrollHeight + "px";
              this.remove();
            });
          }
        }
      </script>
      {% endcomment %}

    </main>
  </section>
</div>

{% endblock %}
